import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/app_wrapper/app_config.dart';
import 'package:sghi_core/app_wrapper/enums.dart';

void main() {
  group('AppConfig Initialization', () {
    // Testing BEWELL variant initializations
    test('BEWELL variant is initialized with correct environments', () {
      expect(bewellTest.variant, equals(AppVariant.BEWELL));
      expect(bewellTest.environment, equals(AppEnvironment.TEST));

      expect(bewellDemo.variant, equals(AppVariant.BEWELL));
      expect(bewellDemo.environment, equals(AppEnvironment.DEMO));

      expect(bewellProd.variant, equals(AppVariant.BEWELL));
      expect(bewellProd.environment, equals(AppEnvironment.PROD));

      expect(bewellE2E.variant, equals(AppVariant.BEWELL));
      expect(bewellE2E.environment, equals(AppEnvironment.E2E));
    });

    // Testing SLADE360ADVANTAGE variant initializations
    test('SLADE360ADVANTAGE variant is initialized with correct environments',
        () {
      expect(
          slade360AdvantageTest.variant, equals(AppVariant.SLADE360ADVANTAGE));
      expect(slade360AdvantageTest.environment, equals(AppEnvironment.TEST));

      expect(
          slade360AdvantageDemo.variant, equals(AppVariant.SLADE360ADVANTAGE));
      expect(slade360AdvantageDemo.environment, equals(AppEnvironment.DEMO));

      expect(
          slade360AdvantageProd.variant, equals(AppVariant.SLADE360ADVANTAGE));
      expect(slade360AdvantageProd.environment, equals(AppEnvironment.PROD));

      expect(
          slade360AdvantageE2E.variant, equals(AppVariant.SLADE360ADVANTAGE));
      expect(slade360AdvantageE2E.environment, equals(AppEnvironment.E2E));
    });

    // Testing MYCAREHUB variant initializations
    test('MYCAREHUB variant is initialized with correct environments', () {
      expect(myCareHubTest.variant, equals(AppVariant.MYCAREHUB));
      expect(myCareHubTest.environment, equals(AppEnvironment.TEST));

      expect(myCareHubDemo.variant, equals(AppVariant.MYCAREHUB));
      expect(myCareHubDemo.environment, equals(AppEnvironment.DEMO));

      expect(myCareHubProd.variant, equals(AppVariant.MYCAREHUB));
      expect(myCareHubProd.environment, equals(AppEnvironment.PROD));

      expect(myCareHubE2E.variant, equals(AppVariant.MYCAREHUB));
      expect(myCareHubE2E.environment, equals(AppEnvironment.E2E));
    });

    // Testing MYCAREHUBDAKTARI variant initializations
    test('MYCAREHUBDAKTARI variant is initialized with correct environments',
        () {
      expect(myCareHubDaktariTest.variant, equals(AppVariant.MYCAREHUBDAKTARI));
      expect(myCareHubDaktariTest.environment, equals(AppEnvironment.TEST));

      expect(myCareHubDaktariDemo.variant, equals(AppVariant.MYCAREHUBDAKTARI));
      expect(myCareHubDaktariDemo.environment, equals(AppEnvironment.DEMO));

      expect(myCareHubDaktariProd.variant, equals(AppVariant.MYCAREHUBDAKTARI));
      expect(myCareHubDaktariProd.environment, equals(AppEnvironment.PROD));

      expect(myCareHubDaktariE2E.variant, equals(AppVariant.MYCAREHUBDAKTARI));
      expect(myCareHubDaktariE2E.environment, equals(AppEnvironment.E2E));
    });

    // Testing UONAFYAPP360 variant initializations
    test('UONAFYAPP360 variant is initialized with correct environments', () {
      expect(uonAfyaApp360Test.variant, equals(AppVariant.UONAFYAPP360));
      expect(uonAfyaApp360Test.environment, equals(AppEnvironment.TEST));

      expect(uonAfyaApp360Demo.variant, equals(AppVariant.UONAFYAPP360));
      expect(uonAfyaApp360Demo.environment, equals(AppEnvironment.DEMO));

      expect(uonAfyaApp360Prod.variant, equals(AppVariant.UONAFYAPP360));
      expect(uonAfyaApp360Prod.environment, equals(AppEnvironment.PROD));

      expect(uonAfyaApp360E2E.variant, equals(AppVariant.UONAFYAPP360));
      expect(uonAfyaApp360E2E.environment, equals(AppEnvironment.E2E));
    });

    // Testing UONAFYAPP360DAKTARI variant initializations
    test('UONAFYAPP360DAKTARI variant is initialized with correct environments',
        () {
      expect(uonAfyaApp360DaktariTest.variant,
          equals(AppVariant.UONAFYAPP360DAKTARI));
      expect(uonAfyaApp360DaktariTest.environment, equals(AppEnvironment.TEST));

      expect(uonAfyaApp360DaktariDemo.variant,
          equals(AppVariant.UONAFYAPP360DAKTARI));
      expect(uonAfyaApp360DaktariDemo.environment, equals(AppEnvironment.DEMO));

      expect(uonAfyaApp360DaktariProd.variant,
          equals(AppVariant.UONAFYAPP360DAKTARI));
      expect(uonAfyaApp360DaktariProd.environment, equals(AppEnvironment.PROD));

      expect(uonAfyaApp360DaktariE2E.variant,
          equals(AppVariant.UONAFYAPP360DAKTARI));
      expect(uonAfyaApp360DaktariE2E.environment, equals(AppEnvironment.E2E));
    });
  });
}
